---
sidebar_position: 5
---

# Commands

```
Description:
  The MycroForge CLI tool.

Usage:
  m4g [command] [options]

Options:
  --version       Show version information
  -?, -h, --help  Show help and usage information

Commands:
  init <name>              Initialize a new project
  i, install <packages>    Install packages and update the requirements.txt
  u, uninstall <packages>  Uninstall packages and update the requirements.txt
  hydrate                  Initialize venv and install dependencies from requirements.txt
  add                      Add features to the project
  g, generate              Generate common items
  api                      API related commands
  db                       Database related commands
  p, plugin                Plugin related commands
```